LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
#file://COPYING;md5=bbea815ee2795b2f4230826c0c6b8814"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

SRC_URI += " \
        file://S20load_modules.sh \
        file://S49cgroups_mount.sh \
        file://ntp.conf \
        file://ntpd \
"

do_install_append () {
        install -d ${D}${sysconfdir}/
        install -d ${D}${sysconfdir}/rcS.d/
        install -d ${D}${sysconfdir}/init.d/
        install -m 0644 ${WORKDIR}/ntp.conf ${D}${sysconfdir}
        install -m 0755 ${WORKDIR}/ntpd ${D}${sysconfdir}/init.d/
        install -m 0755 ${WORKDIR}/S20load_modules.sh ${D}${sysconfdir}/rcS.d/
        install -m 0755 ${WORKDIR}/S49cgroups_mount.sh ${D}${sysconfdir}/rcS.d/

        cd ${D}${sysconfdir}/rcS.d/
        ln -s ../init.d/networking S40networking.sh
        ln -s ../init.d/ntpd S48ntpd.sh
        ln -s ../init.d/docker.init S50docker.sh
}

